apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: opensearch-0.0.0-ab51e288
  namespace: asag
spec:
  clusters:
    - annotations:
        x-lxe-additional-lxd-config: |
          limits.kernel.nofile: "65536"
      flags:
        - from: value
          key: v1_role
          to: label
          value: opensearch
      name: opensearch
      podspec:
        containers:
          - name: opensearch
      provides:
        - exposed: true
          name: api
          network: direct
          servicespec:
            ports:
              - name: rest
                port: 9200
                protocol: TCP
        - exposed: true
          name: dashboards
          network: loadbalanced
          servicespec:
            ports:
              - name: web
                port: 5601
                protocol: TCP
      sizing:
        increment: 1
        initial: 3
        maximum: 15
        minimum: 1
  dependencies:
    operator:
      name: opensearch-operator
      vendor: asag
      version: 0.3.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.7.1
  name: opensearch
  settings:
    - name: environment
      schema:
        default: opensearch_prod
  version: 0.0.0-ab51e288
